Subject: Re: [PATCH] mac80211: rewrite fragmentation code

From: Rusty Russell <rusty-8n+1lVoiYb80n/[email-masked]>
Date: Fri, 16 May 2008 12:01:48 +1000

On Thursday 08 May 2008 13:26:06 David Miller wrote:
> From: Herbert Xu <[email-masked]>
> Date: Thu, 8 May 2008 11:22:08 +0800
>
> > On Wed, May 07, 2008 at 03:48:06PM +0200, Michael Buesch wrote:
> > > So there's no way to actually fail in a TX handler? Drivers
> > > are doomed to drop the packet, if they cannot handle it due to
> > > ring overflow?
> >
> > You're supposed to stop the queue before the ring overflows.
>
> Right, and this is why drivers choose a TX wakeup threshold such
> that they can accept an arbitrarily sized TSO frame.

Dave, please allow me to ask a heretical question.  Returning TX_BUSY has some 
appeal for virtio_net: is it fundamentally a flawed idea, or simply a matter 
of coding?

Currently we have no virtio interface to ask how many descriptors are left; 
it's not clear that it's a fair question to ask, since for Xen it's depends 
on the actual buffers we're trying to put in the descirptors.

Thanks,
Rusty.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html